using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace isbextract {
	class EasyFileStream : FileStream
	{
		//I have no intention of using this, but I need a ctor to avoid compile errors
		public EasyFileStream(string path, FileMode mode, FileAccess access) : base(path, mode, access)
		{
			//
		}

		public byte[] buffer;

		public int ReadDWORD()
		{
			return Read(0, 4);
		}

		public int ReadNext(int count)
		{
			return Read(0, count);
		}

		public override int Read(byte[] WillBeIgnored, int offset, int count)
		{
			return Read(offset, count);
		}

		public int Read(int offset, int count)
		{
			this.buffer = new byte[count];
			return base.Read(this.buffer, offset, count);
		}
	}
}
